#!/usr/bin/php
<?php

include 'speech_interface.php';

//get the AGI variables
$agivars = array();
$agivars = get_agi_variables();

$sp = new speech(); // Initialize the speech object.

// Set some ASR parameters
$sp->set_no_input_timeout(2000);
$sp->set_recognition_timeout(5000);
$sp->set_speech_complete_timeout(800);

$hello_world_result = $sp->mrcp_synth_and_recog('Hello world. Please say yes or no','builtin:grammar/boolean');

// Check for an error
if ($hello_world_result->recognition_status!=speech_return::status_successful){
	log_agi('There was an error with speech recognition and/or TTS.');
	exit();
}

// Speak the result if we got a match
if ($sp->check_match($hello_world_result)) {
	$tts_text = "I recognized: ";
	$tts_text .= $hello_world_result->answers[0]->interpretation[0];
	$sp->mrcp_synth($tts_text);
}

exit();
?>